Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Interface QXmlErrorHandlerInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  QXmlDefaultHandler, QXmlErrorHandler

    public interface QXmlErrorHandlerInterface

extends QtJambiInterface

The `QXmlErrorHandler` class provides an interface to report errors in XML data.

If you want your application to report errors to the user or to perform customized error handling, you should subclass this class.

You can set the error handler with QXmlReader::setErrorHandler().

Errors can be reported using `warning`, `error` and `fatalError`, with the error text being reported with `errorString`.

See Also:
  `QXmlDTDHandler`, `QXmlDeclHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlLexicalHandler`, `to SAX2`

Method Summary
`boolean` | `error(QXmlParseException exception)` A reader might use this function to report a recoverable error.
`java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`boolean` | `fatalError(QXmlParseException exception)` A reader must use this function to report a non-recoverable error.
`boolean` | `warning(QXmlParseException exception)` A reader might use this function to report a warning.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### error

    boolean error(QXmlParseException exception)

  A reader might use this function to report a recoverable error. A recoverable error corresponds to the definiton of "error" in section 1.2 of the XML 1.0 specification. Details of the error are stored in `exception`.

  The reader must continue to provide normal parsing events after invoking this function.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

### errorString

    java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

### fatalError

    boolean fatalError(QXmlParseException exception)

  A reader must use this function to report a non-recoverable error. Details of the error are stored in `exception`.

  If this function returns true the reader might try to go on parsing and reporting further errors, but no regular parsing events are reported.

### warning

    boolean warning(QXmlParseException exception)

  A reader might use this function to report a warning. Warnings are conditions that are not errors or fatal errors as defined by the XML 1.0 specification. Details of the warning are stored in `exception`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD